Bug 97167 - (AIRO)airo fails to initialize cisco 350 with latest firmware - ok with old f/w
Summary: (AIRO)airo fails to initialize cisco 350 with latest firmware - ok with old f/w
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 9
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-11 04:03 UTC by gene c
Modified: 2007-04-18 16:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:41:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description gene c 2003-06-11 04:03:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b) Gecko/20030508

Description of problem:
Cisco Airo 350 wireless card - works fine with firmware  4.25.30 but after
updating to 5.2.17 (dated 6/20/2003 from cisco) the card fails to get
initialized - lights flash briefly then stop: /var/log/messages contains:

Jun  9 21:34:45 mec cardmgr[2138]: socket 0: 350 Series Wireless LAN
  Adapter
  Jun  9 21:34:45 mec kernel: cs: memory probe 0xa0000000-0xa0ffffff:
  clean.
  Jun  9 21:34:45 mec cardmgr[2138]: executing: 'modprobe airo_cs'
  Jun  9 21:34:45 mec kernel: airo:  Probing for PCI adapters
  Jun  9 21:34:45 mec kernel: airo:  Finished probing for PCI adapters
  Jun  9 21:34:46 mec kernel: airo: Max tries exceeded waiting for command
  Jun  9 21:34:46 mec kernel: airo: MAC could not be enabled
  Jun  9 21:34:46 mec kernel: airo_cs: RequestConfiguration: Operation
  succeeded
  Jun  9 21:34:48 mec cardmgr[2138]: get dev info on socket 0 failed:
  Resource temporarily unavailable


Version-Release number of selected component (if applicable):
kernel -2.4.20-18.9 

How reproducible:
Always

Steps to Reproduce:
1.Update tp cisco firmware 5.2.17
2. insert airo 350 card
3. 
    

Actual Results:  lights flash briefly then stop - the card is off. see
/var/log/messages above.

Expected Results:  card is initialized, lights flash and network connection is
established - and no errors in logs.

Additional info:

Comment 1 Alan Cox 2003-06-22 18:17:54 UTC
Version 5 firmware has a different hardware to driver interface and needs
different drivers.


Comment 2 Jason Tibbitts 2003-10-22 16:36:13 UTC
A changeset went into 2.6 airo.c a couple of months ago with the description:

[wireless airo] add support for MIC and latest firmwares

This seems to have been backported into recent 2.4.23-pre releases.  Hopefully
"latest firmwares" includes the 5.X versions; if so, this may make it into
Fedora before long.

Comment 3 Bugzilla owner 2004-09-30 15:41:07 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.